Bug 820090 - Review Request: perl-Sys-MemInfo - returns the total amount of free and used physical memory
Review Request: perl-Sys-MemInfo - returns the total amount of free and used ...
Status: CLOSED ERRATA
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jitka Plesnikova
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-05-09 02:48 EDT by Jan Synacek
Modified: 2012-11-05 08:47 EST (History)
5 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-05-29 06:37:12 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
jplesnik: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Jan Synacek 2012-05-09 02:48:19 EDT
Spec URL: http://jsynacek.fedorapeople.org/perl-sys-meminfo/perl-Sys-MemInfo.spec
SRPM URL: http://jsynacek.fedorapeople.org/perl-sys-meminfo/perl-Sys-MemInfo-0.91-1.fc16.src.rpm
Description:
Sys::MemInfo return the total amount of free and used physical memory in bytes in totalmem and freemem variables.
Comment 1 Jitka Plesnikova 2012-05-09 05:04:09 EDT
Issues:

* file size mismatch 
Sys-MemInfo-0.91.tar.gz = 6738, 
http://www.cpan.org/modules/by-module/Sys/Sys-MemInfo-0.91.tar.gz = 6802
* missing BR: perl(Test::More)
* invalid license. It should be LGPLv2+

When you fix the issues, I'll continue with review.
Comment 2 Jan Synacek 2012-05-09 05:55:11 EDT
Fixed. Spec and SRPM URLs stay the same.
Comment 3 Jitka Plesnikova 2012-05-09 06:24:45 EDT
* missing BR: perl(Data::Dumper)
Comment 4 Jan Synacek 2012-05-09 06:39:20 EDT
Fixed.
Comment 5 Jitka Plesnikova 2012-05-09 10:40:02 EDT
Package Review
==============

Key:
- = N/A
x = Pass
! = Fail
? = Not evaluated


==== C/C++ ====
[-]: MUST Header files in -devel subpackage, if present.
[x]: MUST Package does not contain any libtool archives (.la)
[x]: MUST Package does not contain kernel modules.
[x]: MUST Package contains no static executables.
[x]: MUST Rpath absent or only used for internal libs.
[x]: MUST Package is not relocatable.
[!]: MUST Development (unversioned) .so files in -devel subpackage, if
     present.
     Note: perl-Sys-MemInfo-0.91-1.fc18.i686.rpm :
     /usr/lib/perl5/vendor_perl/auto/Sys/MemInfo/MemInfo.so

==== Generic ====
[x]: MUST Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: MUST Package successfully compiles and builds into binary rpms on at
     least one supported primary architecture.
[x]: MUST %build honors applicable compiler flags or justifies otherwise.
[x]: MUST All build dependencies are listed in BuildRequires, except for any
     that are listed in the exceptions section of Packaging Guidelines.
[!]: MUST Buildroot is not present
     Note: Buildroot is not needed unless packager plans to package for EPEL5
[x]: MUST Package contains no bundled libraries.
[x]: MUST Changelog in prescribed format.
[x]: MUST Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
     Note: Clean is needed only if supporting EPEL
[x]: MUST Sources contain only permissible code or content.
[!]: MUST Each %files section contains %defattr if rpm < 4.4
     Note: defattr(....) present in %files section. This is OK if packaging
     for EPEL5. Otherwise not needed
[x]: MUST Macros in Summary, %description expandable at SRPM build time.
[x]: MUST Package requires other packages for directories it uses.
[x]: MUST Package uses nothing in %doc for runtime.
[-]: MUST Package is not known to require ExcludeArch.
[x]: MUST Permissions on files are set properly.
[x]: MUST Package does not contain duplicates in %files.
[x]: MUST Spec file lacks Packager, Vendor, PreReq tags.
[!]: MUST Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: rm -rf is only needed if supporting EPEL5
[-]: MUST Large documentation files are in a -doc subpackage, if required.
[x]: MUST If (and only if) the source package includes the text of the
     license(s) in its own file, then that file, containing the text of the
     license(s) for the package is included in %doc.
[x]: MUST License field in the package spec file matches the actual license.
[x]: MUST Package consistently uses macros (instead of hard-coded directory
     names).
[x]: MUST Package is named according to the Package Naming Guidelines.
[x]: MUST Package does not generate any conflict.
[x]: MUST Package obeys FHS, except libexecdir and /usr/target.
[x]: MUST Package must own all directories that it creates.
[x]: MUST Package does not own files or directories owned by other packages.
[x]: MUST Package installs properly.
[x]: MUST Requires correct, justified where necessary.
[x]: MUST Rpmlint output is silent.

rpmlint perl-Sys-MemInfo-0.91-1.fc18.i686.rpm

perl-Sys-MemInfo.i686: W: spelling-error %description -l en_US totalmem -> teetotal
perl-Sys-MemInfo.i686: W: spelling-error %description -l en_US freemem -> freemen, Freeman, freeman
perl-Sys-MemInfo.i686: W: private-shared-object-provides /usr/lib/perl5/vendor_perl/auto/Sys/MemInfo/MemInfo.so MemInfo.so
perl-Sys-MemInfo.i686: W: private-shared-object-provides /usr/lib/perl5/vendor_perl/auto/Sys/MemInfo/MemInfo.so MemInfo.so
1 packages and 0 specfiles checked; 0 errors, 4 warnings.

rpmlint perl-Sys-MemInfo-0.91-1.fc18.src.rpm

perl-Sys-MemInfo.src: W: spelling-error %description -l en_US totalmem -> teetotal
perl-Sys-MemInfo.src: W: spelling-error %description -l en_US freemem -> freemen, Freeman, freeman
1 packages and 0 specfiles checked; 0 errors, 2 warnings.


rpmlint perl-Sys-MemInfo-debuginfo-0.91-1.fc18.i686.rpm

1 packages and 0 specfiles checked; 0 errors, 0 warnings.


[x]: MUST Sources used to build the package match the upstream source, as
     provided in the spec URL.
/home/jplesnik/review/820090/Sys-MemInfo-0.91.tar.gz :
  MD5SUM this package     : d2ddda32c58114352e04ecb866de7f17
  MD5SUM upstream package : d2ddda32c58114352e04ecb866de7f17

[x]: MUST Spec file is legible and written in American English.
[x]: MUST Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[-]: MUST Package contains a SysV-style init script if in need of one.
[x]: MUST File names are valid UTF-8.
[-]: MUST Useful -debuginfo package or justification otherwise.
[x]: SHOULD Reviewer should test that the package builds in mock.
[-]: SHOULD If the source package does not include license text(s) as a
     separate file from upstream, the packager SHOULD query upstream to
     include it.
[x]: SHOULD Dist tag is present.
[x]: SHOULD No file requires outside of /etc, /bin, /sbin, /usr/bin,
     /usr/sbin.
[!]: SHOULD Final provides and requires are sane (rpm -q --provides and rpm -q
     --requires).
[x]: SHOULD Package functions as described.
[x]: SHOULD Latest version is packaged.
[-]: SHOULD Package does not include license text files separate from
     upstream.
[x]: SHOULD SourceX is a working URL.
[-]: SHOULD Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: SHOULD Package should compile and build into binary rpms on all supported
     architectures.
[x]: SHOULD %check is present and all tests pass.
[x]: SHOULD Packages should try to preserve timestamps of original installed
     files.
[x]: SHOULD Spec use %global instead of %define.

Issues:
TODO: Add filter "%{?perl_default_filter}" before %description. After that the
MemInfo.so will not be added to Provides. It should solve following
* [!]: MUST Development (unversioned) .so files in -devel subpackage, if present.
* [!]: MUST Rpmlint output is silent. (The spelling errors could be ignored)
* rpm -q --provides will not contain MemInfo.so.

TODO: Removed Buildroot if you don't plan to package for EPEL5
TODO: Remove %clean section if not supporting EPEL
TODO: Remove defattr(....) in %files section if not supporting EPEL5.
TODO: Remove rm -rf %{buildroot} at the beginning of %install if not supporting EPEL5.

I'll approve the package once the above are fixed.

Generated by fedora-review 0.2.0git
External plugins:
Comment 6 Jan Synacek 2012-05-10 03:24:09 EDT
Done.
Comment 7 Jitka Plesnikova 2012-05-10 04:38:21 EDT
perl-Sys-MemInfo.src:29: W: macro-in-comment %{perl_vendorarch}
perl-Sys-MemInfo.src:30: W: macro-in-comment %{perl_vendorarch}

Please remove the commented line from %install section (mv, ln).

BTW, if you want to comment out line with rpm macro, you have to add one % before the macro (e.g. %%{perl_vendorarch}).
Comment 8 Jan Synacek 2012-05-10 05:39:28 EDT
Oh, I'm sorry, that was a hasty change from my side..

It should be ok now.
Comment 9 Jitka Plesnikova 2012-05-10 07:02:31 EDT
Approving now.
Comment 10 Jan Synacek 2012-05-10 08:00:29 EDT
New Package SCM Request
=======================
Package Name: perl-Sys-MemInfo
Short Description: returns the total amount of free and used physical memory
Owners: jsynacek
Branches: f16 f17 f18
InitialCC: perl-sig
Comment 11 Gwyn Ciesla 2012-05-10 08:31:52 EDT
Git done (by process-git-requests).

Removed f18, that's devel and is automatic.
Comment 12 Fedora Update System 2012-05-10 09:22:15 EDT
perl-Sys-MemInfo-0.91-1.fc16 has been submitted as an update for Fedora 16.
https://admin.fedoraproject.org/updates/perl-Sys-MemInfo-0.91-1.fc16
Comment 13 Fedora Update System 2012-05-11 06:33:39 EDT
perl-Sys-MemInfo-0.91-1.fc16 has been pushed to the Fedora 16 testing repository.
Comment 14 Fedora Update System 2012-05-29 06:37:12 EDT
perl-Sys-MemInfo-0.91-1.fc16 has been pushed to the Fedora 16 stable repository.
Comment 15 Orion Poplawski 2012-08-15 19:04:00 EDT
I need this in EPEL5/6.  Jan - do you want to maintain there or shall I?
Comment 16 Jan Synacek 2012-08-16 00:32:14 EDT
(In reply to comment #15)
> I need this in EPEL5/6.  Jan - do you want to maintain there or shall I?

Feel free to maintain it there.
Comment 17 Orion Poplawski 2012-08-16 00:42:59 EDT
Will do

Package Change Request
======================
Package Name: perl-Sys-MemInfo
New Branches: el5 el6
Owners: orion
InitialCC:
Comment 18 Gwyn Ciesla 2012-08-16 08:33:20 EDT
Git done (by process-git-requests).
Comment 19 Petr Pisar 2012-11-05 08:47:47 EST
The licensing is not clear for me. See <https://rt.cpan.org/Public/Bug/Display.html?id=80636>. Thus I changed license tag to cover all possibilites.

Note You need to log in before you can comment on or make changes to this bug.